%global modname fmn.lib

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 %{__python}}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               python-fmn-lib
Version:            0.8.2
Release:            7%{?dist}
Summary:            Internal API components and model for Fedora Notifications

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/fmn.lib
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python2-nose


BuildRequires:      python2-beautifulsoup4
BuildRequires:      python2-fmn
BuildRequires:      python2-docutils
BuildRequires:      python2-markupsafe

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:      python-ordereddict
BuildRequires:      python-sqlalchemy0.8
%else
BuildRequires:      python2-sqlalchemy
%endif




%global _description\
fmn is a family of systems to manage end-user notifications triggered by\
fedmsg, the Fedora FEDerated MESsage bus.\
\
This modules contains the internal API for components and data model for Fedora\
Notifications

%description %_description

%package -n python2-fmn-lib
Summary: %summary
Requires:           python2-beautifulsoup4
Requires:           python2-fmn
Requires:           python2-docutils
Requires:           python2-markupsafe
%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:           python-ordereddict
Requires:           python-sqlalchemy0.8
%else
Requires:           python2-sqlalchemy
%endif
Requires:           python2-alembic
%{?python_provide:%python_provide python2-fmn-lib}

%description -n python2-fmn-lib %_description

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
mkdir -p %{buildroot}%{_bindir}
install createdb.py %{buildroot}%{_bindir}/fmn-createdb

# DB upgrade/downgrade scripts
%{__mkdir_p} %{buildroot}%{_datadir}/%{modname}/
%{__cp} alembic.ini %{buildroot}%{_datadir}/%{modname}/alembic.ini
%{__cp} -r alembic/ %{buildroot}%{_datadir}/%{modname}/alembic/

#%check
#%{__python2} setup.py test

%files -n python2-fmn-lib
%doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
%{python2_sitelib}/fmn/lib/
%{python2_sitelib}/%{modname}-%{version}*
%{_datadir}/%{modname}/
%{_bindir}/fmn-createdb

%changelog
* Fri Mar 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.8.2-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.2-5
- Python 2 binary package renamed to python2-fmn-lib
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jul 15 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.8.2-1
- Update to 0.8.2

* Wed Mar 02 2016 Ralph Bean <rbean@redhat.com> - 0.8.1-1
- new version

* Wed Feb 17 2016 Ralph Bean <rbean@redhat.com> - 0.8.0-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Ralph Bean <rbean@redhat.com> - 0.7.7-1
- new version

* Mon Nov 16 2015 Ralph Bean <rbean@redhat.com> - 0.7.6-1
- new version

* Mon Nov 16 2015 Ralph Bean <rbean@redhat.com> - 0.7.5-1
- new version

* Mon Nov 16 2015 Ralph Bean <rbean@redhat.com> - 0.7.4-1
- new version

* Thu Aug 27 2015 Ralph Bean <rbean@redhat.com> - 0.7.3-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Ralph Bean <rbean@redhat.com> - 0.7.0-1
- new version

* Fri May 08 2015 Ralph Bean <rbean@redhat.com> - 0.6.2-1
- new version

* Tue May 05 2015 Ralph Bean <rbean@redhat.com> - 0.6.1-1
- new version

* Sun May 03 2015 Ralph Bean <rbean@redhat.com> - 0.6.0-1
- new version

* Tue Mar 24 2015 Ralph Bean <rbean@redhat.com> - 0.5.0-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.4.7-1
- new version

* Thu Jan 29 2015 Ralph Bean <rbean@redhat.com> - 0.4.5-1
- new version

* Fri Jan 23 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-3
- Back out that multiproc patch stuff.

* Thu Jan 22 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-2
- Multiproc patch.

* Fri Jan 16 2015 Ralph Bean <rbean@redhat.com> - 0.4.4-1
- new version

* Thu Jan 15 2015 Ralph Bean <rbean@redhat.com> - 0.4.3-2
- Patch summershum defaults.

* Wed Jan 14 2015 Ralph Bean <rbean@redhat.com> - 0.4.3-1
- Latest upstream.

* Mon Jan 12 2015 Ralph Bean <rbean@redhat.com> - 0.4.2-1
- Latest upstream with simpler defaults.

* Mon Jan 12 2015 Ralph Bean <rbean@redhat.com> - 0.4.1-1
- Latest upstream.
- Tests temporarily disabled due to cyclic dep with fmn.rules.

* Mon Sep 15 2014 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Latest upstream.
- New database fields.
- Negate-able rules.
- Disable-able filters.

* Thu Aug 14 2014 Ralph Bean <rbean@redhat.com> - 0.2.7-1
- Latest upstream.
- More optimizations.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.6-1
- Latest upstream.

* Fri Jul 18 2014 Ralph Bean <rbean@redhat.com> - 0.2.5-1
- Reduce spam when new accounts are created.

* Tue Jun 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- Latest upstream.
- Alembic upgrade scripts.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Upstream release.

* Mon Jan 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Upstream release.
- Fleshed out android stubs.
- Minor API enhancements.

* Thu Jan 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Upstream release.
- Add scratch builds to the defaults.
- Fix a misnamed method call.

* Wed Jan 22 2014 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Upstream release

* Tue Dec 03 2013 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- initial package for Fedora
